Connect a creative engine with your own key (the secure handoff form)
curl --request POST \
--url https://api.semicola.com/api/v2/buyer/creative-engines/{id}/connections \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"apiKey": "<string>",
"connectionId": "<string>"
}
'import requests
url = "https://api.semicola.com/api/v2/buyer/creative-engines/{id}/connections"
payload = {
"apiKey": "<string>",
"connectionId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({apiKey: '<string>', connectionId: '<string>'})
};
fetch('https://api.semicola.com/api/v2/buyer/creative-engines/{id}/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"target": {
"kind": "creative_engine",
"id": "<string>"
},
"engineName": "<string>",
"status": "connected",
"credential": {
"kind": "BEARER",
"status": "ACTIVE",
"maskedKey": "<string>"
},
"selectedAccountId": "<string>",
"accounts": [
{
"id": "<string>",
"name": "<string>"
}
],
"accountsPage": {
"offset": 0,
"nextOffset": 0
},
"accountMappings": [
{
"linkId": "<string>",
"advertiserId": "<string>",
"advertiserName": "<string>",
"accountId": "<string>"
}
],
"accountMappingsPage": {
"offset": 0,
"nextOffset": 0
},
"requiresAdvertiserMapping": true,
"featurePolicy": {
"feedsEnabled": true,
"updatedAt": "<string>"
},
"connectedBy": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
},
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": "<unknown>"
}
}Creatives
Connect a creative engine with your own key (the secure handoff form)
POST
/
api
/
v2
/
buyer
/
creative-engines
/
{id}
/
connections
Connect a creative engine with your own key (the secure handoff form)
Authorizations
bearerAuthsessionCookie
API key or OAuth access token.
Path Parameters
Required range:
x <= 9007199254740991Body
application/json